std::unary_negate< _Predicate > Class Template Reference
Negators
Inheritance diagram for std::unary_negate< _Predicate >:
[legend]

## Public Types

typedef _Predicate::argument_type | argument_type
typedef bool | result_type

## Public Member Functions

| unary_negate (const _Predicate &__x)
bool | operator() (const typename _Predicate::argument_type &__x) const

## Protected Attributes

_Predicate | _M_pred

## Detailed Description

### template<typename _Predicate>
class std::unary_negate< _Predicate >

One of the negation functors.

Definition at line 351 of file stl_function.h.

## Member Typedef Documentation

typedef _Predicate::argument_type std::unary_function< _Predicate::argument_type , bool >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 104 of file stl_function.h.

typedef bool std::unary_function< _Predicate::argument_type , bool >::result_type

inherited

`result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h